#include "CS_JackFishFaceToBack.h"
const int CS_JackFishSTATENAME_FACETOBACK = ++entityStateID;
CS_JackFishFaceToBack::CS_JackFishFaceToBack()
{
	stateID = CS_JackFishSTATENAME_FACETOBACK;
}

void CS_JackFishFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	we->ani.sprite_index = we->lr == 0 ? L"mc_jackfish_back_l" : L"mc_jackfish_back_r";
}

void CS_JackFishFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
